<?php
include '../config/db.php';
include ('../config/conexion.php');

include ('../database/Database.php');
include '../fpdf/fpdf.php';

function obtenerMargen($texto){
    $retorno = 39.5 - strlen($texto) / 1.15;
    return $retorno;
}

if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    $connection = Database::connect();

    //$compra = Compra::get($_GET['id']);
    //$proveedor = Proveedor::edit($compra['proveedor_idproveedor']);
    //$sucursal = Sucursal::edit($compra['sucursal_idsucursal']);
    // $empleado = Empleado::edit($compra['empleado_idempleado']);

    $idventa = $_REQUEST['idfactura'];

    $sqlenc = " SELECT c.id,c.creado,c.estado,
    c.cliente,c.nit,c.total,e.usuario FROM venta1 c 
    INNER JOIN empleado e ON e.idempleado = c.empleado_idempleado
   WHERE c.id =  $idventa ";
    $result = mysqli_query($connection,$sqlenc);

    foreach ($result as $enc) {
        $enc['id'];
        $tot = $enc['total'];

    }


    $productosSql = " SELECT det.id, det.cantidad, det.descripcion,det.precio_unitario,det.total,det.precio FROM detalle_venta det 
    WHERE det.venta_id = $idventa";

    $respuesta = mysqli_query($connection, $productosSql);
    mysqli_close($connection);

    $x = 95;
    $y = 279.4;
    $height = 5;

    $pdf = new Fpdf();
    $pdf->AddPage('P', [$x, $y]);
    $pdf->setMargins(5, 5, 5);

    $pdf->Image('../img/para factura.png', 28, 5, 40, 40);

    // Encabezado
    $pdf->Cell(30, 10, '', 0, 1);
    $pdf->SetFont('Times', 'B', 10);
    $pdf->Cell(35, $height, '', 0, 1);
   // $pdf->Cell(25, $height, $sucursal['nombre'], 0);

    $pdf->Ln();

    if($enc['estado'] == 'ANULADA'){
        $pdf->Ln();
        $pdf->SetTextColor(255, 0, 0);
        $pdf->Cell(35, $height, '', 0, 0);
        $pdf->Cell(25, $height, 'ANULADA', 0);
        $pdf->SetTextColor(0, 0, 0);
    }


    $pdf->Ln();

    $pdf->SetFont('Times', '', 8);

    $pdf->Cell(38, $height, '', 0, 0);
    $pdf->Cell(7, $height, 'Recibo', 0, 1);
    $pdf->Cell(38, $height, '', 0, 0);
    $pdf->Cell(7, $height, 'No. : ' . $enc['id'], 0, 1);
    // end Encabezado

    $pdf->Ln();

    $pdf->Cell(31, $height, '-------------------------------');
    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(24, $height, 'Datos del Emisor');
    $pdf->SetFont('Times', '', 8);
    $pdf->Cell(30, $height, '-------------------------------');

    $pdf->Ln();

    $pdf->Cell(32, $height, '');
    $pdf->Cell(2, $height, 'ALFANET S.A', 0, 1);
    $pdf->Cell(32, $height, '');
    $pdf->Cell(2, $height, 'Nit: 110095936', 0, 1);
    $pdf->Cell(2, $height, '');
    $pdf->Cell(2, $height, 'Direccion: 5ta. Calle 1-40 zona 4 San Pedro Sacatepequez, San Marcos', 0, 1);
    $pdf->Cell(20, $height, '');
    $pdf->Cell(28, $height, 'Fecha de emision: ' . $enc['creado'], 0, 1);
   // $pdf->Cell(2, $height, 'Direccion: '. $enc['dirsuc'], 0, );
    
    $pdf->Ln();

    $pdf->Cell(30, $height, '------------------------------');
    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(27, $height, 'Datos del Comprador');
    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(30, $height, '------------------------------');

    $pdf->Ln();

    $pdf->SetFont('Times', '', 8);
    $pdf->Cell(32, $height, '');
    $pdf->Cell(28, $height, 'Nit: ' . $enc['nit'], 0, 1);
    $pdf->Cell(10, $height, '');
    $pdf->Cell(28, $height, 'Nombre: ' . $enc['cliente'], 0, 1);
 
    $pdf->Cell(10, $height, '');

    $pdf->Ln();

    $pdf->Cell(29, $height, '----------------------------');
    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(28, $height, 'Descripcion del Recibo');
    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(29, $height, '----------------------------');

    $pdf->Ln();

    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(8, $height, 'Cant.');
    $pdf->Cell(50, $height, 'Descripcion');
    $pdf->Cell(15, $height, 'P. Unit');
    $pdf->Cell(19, $height, 'Total');

    $pdf->SetFont('Times', '', 7);
    foreach ($respuesta as $item) {
        $pdf->Ln();
        $pdf->Cell(8, $height, $item['cantidad']);
        $pdf->Cell(60,5, ($pdf->MultiCell( 38,2, $item['descripcion'].'' )));
        $pdf->Cell(15, $height, $item['precio_unitario']);
        $pdf->Cell(15, $height, $item['precio']);
    }

    $pdf->Ln();

    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(50, 1, '--------------------------------------------------------------------------------------', 0 ,1);
    // $pdf->Cell(8, $height, 'Total');
    // $pdf->Cell(63, $height, '');
    // $pdf->Cell(10, $height, $total, 0, 1);
    $pdf->SetFont('Times', 'B', 9);
    $pdf->Cell(8, $height, 'Total');
    $pdf->Cell(71, $height,'Q.  ' .$enc['total'], 0, 1, 'R');
    $pdf->SetFont('Times', 'B', 8);
    $pdf->Cell(50, 1, '--------------------------------------------------------------------------------------', 0 ,1);

    $pdf->Ln();

    $pdf->Cell(35, $height, '');
    $pdf->Cell(20, $height, 'ALFANET!', 0, 1);
    //$pdf->Cell(31, $height, '');
    //$pdf->Cell(28, $height, 'Un gusto atenderle!', 0, 1);
    $pdf->Cell(24, $height, '');
    $pdf->Cell(28, $height, 'INNOVANDO TU NUMDO', 0, 1);
    
	$pdf->Output();
}